Bug 839682 - Strings from optparse lib aren't translated
Strings from optparse lib aren't translated
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Dave Malcolm
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 10:32 EDT by J.C. Molet
Modified: 2013-03-21 01:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-21 01:07:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J.C. Molet 2012-07-12 10:32:47 EDT
Description of problem:
Some strings from the optparse lib weren't translated correctly in rhel5 for subscription manager help commands.

Version-Release number of selected component (if applicable):
subscription-manager-1.0.9-1.git.4.59ef2fe.el5
python-rhsm-1.0.3-1.git.2.47dc8f4.el5


How reproducible:
always

Steps to Reproduce:
Several ways to reproduce, and I'm not aware of the full extent of this bug, but here are a few examples:

LANG=ja_JP.utf8 subscription-manager repos --help
使用法: 使用法: subscription-manager repos [オプション]

このマシンが使用権利を持つレポジトリの一覧表示

options: <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< english!
  -h, --help        このヘルプメッセージを表示して終了
  --list            このシステム用の既知のレポジトリを一覧表示
  --enable=REPOID   有効にするレポジトリ
  --disable=REPOID  無効にするレポジトリ


Actual results:
options isn't translated

Expected results:
options would be translated just like in rhel6

Additional info:
Comment 1 RHEL Product and Program Management 2012-07-12 10:39:31 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 Bryan Kearney 2012-07-17 16:13:28 EDT
This is a python-optparse bug.
Comment 3 RHEL Product and Program Management 2012-07-17 16:28:06 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 5 RHEL Product and Program Management 2012-10-30 02:14:49 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 RHEL Product and Program Management 2013-03-21 01:07:10 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.